# $Id: restore-1.x.bash,v 1.3 2001/10/10 10:12:15 bzizou Exp $

ARCHIVE="/home/hadmin/html/backup.tgz"
TMP="/home/hadmin/tmp"

# Untar the archive
mkdir -f $TMP
cd $TMP
tar zxf $ARCHIVE
uudecode home/hadmin/cgi-bin/base/users.uu

# Get the part of etc/passwd to restore by comparing it to users.bak
> passwd.tail
for user in `awk -F: '{print $1}' etc/passwd`
do
  GREP=`grep "$user:" users.bak`
  if [ "$GREP" != "" ]
  then
    grep "$user:" etc/passwd >> passwd.tail
  fi
done

# Get the part of etc/group to restore
> group.tail
for group in `awk -F: '{print $4}' passwd.tail`
do
  grep "x:$group:" etc/group >> group.tail
done

# Get the part of etc/aliases to restore
> aliases.tail
if [ -f etc/aliases ]
then
  for user in `awk -F: '{print $1}' passwd.tail`
  do
    egrep ":.*$user" etc/aliases >> aliases.tail
  done
fi

# Restore users files
cat passwd.tail >> /etc/passwd
cat group.tail >> /etc/group
cat aliases.tail >> /etc/aliases

# Restore mails
if [ -d var/spool/mail ]
then
  cp -f var/spool/mail/* /var/spool/mail
  for file in `ls /var/spool/mail`
  do
    chown $file.mail /var/spool/mail/$file
    chmod 664 /var/spool/mail/$file
  done
fi

# Start importation scripts
/usr/local/sbin/passwd2sql
/usr/local/sbin/old_bug8_workaround
